# Preferred activity

An decision block that gets the default app activity chosen for a particular task (intent).

The fiber will proceed immediately without pause.

This block will proceed through the YES path if the user has chosen a default app, otherwise it proceeds through the NO path.

Knowing the preferred package and class is not required to start an app activity, as it’s automatically resolved for every launch. If the activity class is already known, the this block is likely superfluous.

## Input arguments

- Package — package name of the app activity.
- Activity class — class name of the app activity.
- Action — action the activity should handle.
- Data URI — content URI the activity should handle.
- MIME type — type of data the Data URI is referring to. See MIME type.
- Category — action category, use an array for multiple categories.

## Output variables

- Resolved package — variable to assign the package name of the preferred app activity.
- Resolved activity class — variable to assign the class name of the preferred app activity.
- Display name — variable to assign the title of the preferred app activity.